<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:37:05 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TypeAnalyserAndTranslator.TranslatedTypeData (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TypeAnalyserAndTranslator.TranslatedTypeData (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypeAnalyserAndTranslator.TranslatedTypeData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeResolver.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html" target="_top">Frames</a></li>
<li><a href="TypeAnalyserAndTranslator.TranslatedTypeData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</div>
<h2 title="Class TypeAnalyserAndTranslator.TranslatedTypeData" class="title">Class TypeAnalyserAndTranslator.TranslatedTypeData</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.TypeAnalyser.TypeData</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.umlparser.TypeAnalyserAndTranslator.TranslatedTypeData</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser">TypeAnalyserAndTranslator</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TypeAnalyserAndTranslator.TranslatedTypeData</span>
extends <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser">TypeAnalyser.TypeData</a></pre>
<div class="block">Data structure returned</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>dumoulin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#isCollection">isCollection</a></span></code>
<div class="block">is the type denoting a collection ?</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#isTranslatable">isTranslatable</a></span></code>
<div class="block">is the type translatable (can we use the generic's one) ?</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.umlparser.TypeAnalyser.TypeData">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser">TypeAnalyser.TypeData</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html#arrayCount">arrayCount</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html#extends_">extends_</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html#genericData">genericData</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html#isVoid">isVoid</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html#isWildcard">isWildcard</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html#super_">super_</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#TranslatedTypeData--">TranslatedTypeData</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#getTranslatedLower--">getTranslatedLower</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#getTranslatedQualifiedName--">getTranslatedQualifiedName</a></span>()</code>
<div class="block">Get the Real name, taking into account if it is a generic.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#getTranslatedUpper--">getTranslatedUpper</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html#isCollection--">isCollection</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="isTranslatable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTranslatable</h4>
<pre>public&nbsp;boolean isTranslatable</pre>
<div class="block">is the type translatable (can we use the generic's one) ?</div>
</li>
</ul>
<a name="isCollection">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isCollection</h4>
<pre>public&nbsp;boolean isCollection</pre>
<div class="block">is the type denoting a collection ?</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TranslatedTypeData--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TranslatedTypeData</h4>
<pre>public&nbsp;TranslatedTypeData()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTranslatedQualifiedName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTranslatedQualifiedName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getTranslatedQualifiedName()</pre>
<div class="block">Get the Real name, taking into account if it is a generic.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getTranslatedUpper--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTranslatedUpper</h4>
<pre>public&nbsp;int&nbsp;getTranslatedUpper()</pre>
</li>
</ul>
<a name="getTranslatedLower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTranslatedLower</h4>
<pre>public&nbsp;int&nbsp;getTranslatedLower()</pre>
</li>
</ul>
<a name="isCollection--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isCollection</h4>
<pre>public&nbsp;boolean&nbsp;isCollection()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypeAnalyserAndTranslator.TranslatedTypeData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeResolver.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html" target="_top">Frames</a></li>
<li><a href="TypeAnalyserAndTranslator.TranslatedTypeData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
